%define name twig
%define version 2.8.3
%define release 1mdk

Name: %{name}
Summary: The Web Information Gateway
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
URL: http://twig.screwdriver.net/
Group: System/Servers
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Requires: apache, php, imap
BuildArchitectures: noarch
Prefix: /var/www

%description
TWIG is rapidly becoming a very useful intranet/groupware tool and
application framework. It is written and implemented completely with the
PHP programming language. The intention is that it become a simple,
cross-platform, fast, and browser-independent way to access or share
almost any kind of information, without the complexity or costs of other
intranet/groupware packages. 

The main features that TWIG currently supports:
 - E-Mail (via IMAP)
 - Contact Manager
 - Scheduling
 - Usenet Newsgroups
 - Todo Lists
 - Bookmarks

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/html/twig
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
./twig-install $RPM_BUILD_ROOT%{prefix}/html/twig

ln -fs %{prefix}/html/twig/config $RPM_BUILD_ROOT%{_sysconfdir}/twig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config %{prefix}/html/twig/config
%doc docs/ setup/
%doc CHANGELOG COPYING CREDITS FAQ INSTALL README TODO UPGRADE
%{prefix}/html/twig/*.php
%{prefix}/html/twig/features/
%{prefix}/html/twig/images/
%{prefix}/html/twig/lib/
%{prefix}/html/twig/javascript
%{prefix}/html/twig/styles
%{_sysconfdir}/twig

%changelog
* Tue Apr 26 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.8.3-1mdk
- 2.8.3

* Wed Jan 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.7.7-2mdk
- rebuild

* Mon Dec 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.7.7-1mdk
- 2.7.7

* Thu Aug 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.7.6-1mdk
- rebuild

* Wed Aug 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.7.4-1mdk
- updated to 2.7.4

* Wed Jul 11 2001  Lenny Cartier <lenny@mandrakesoft.com> 2.7.3-1mdk
- updated by Don Head <haze@mindless.com> :
	- Update to 2.7.3 (That was fast..)

* Tue Jul 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.7.2-2mdk
- fixes from Don Head <haze@mindless.com> :
	- Fix description so that it doesn't imply any kind
 	 of ownership ("Our intention"), as suggested by
  	Alexander Skwar <askwar@digitalprojects.com>;
  	also verified that the description is current by
  	checking the "About TWIG" page on the website.

* Fri Jul  6 2001 Don Head <haze@mindless.com> 2.7.2-1mdk
- Update to 2.7.2

* Wed Jan 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.6.2-1mdk
- used srpm from Don Head <haze@mindless.com> :
	- update 2.6.2
	- use more macros
	- add to description

* Wed Dec 20 2000 Don Head <haze@mindless.com>
- update 2.6.1

* Wed Oct 18 2000 Andrew Lee <andrew@linux.org.tw>
- update 2.4.0
- HFS 2.1 Big Move...

* Fri Aug 11 2000 Andrew Lee <andrew@linux.org.tw>
- update 2.3.2

* Sat Jun 17 2000 Andrew Lee <andrew@linux.org.tw>
- update 2.3.1

* Thu Apr 27 2000 Andrew Lee <andrew@cle.linux.org.tw>
- don't require mod_php3 on redhat

* Sun Mar 19 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update 2.2.3

* Sun Mar 12 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update 2.2.1

* Mon Feb 8 2000 Andrew Lee <andrew@cle.linux.org.tw>
- %config bug fix

* Wed Feb 2 2000 Andrew Lee <andrew@cle.linux.org.tw>
- %config thanks for jouston <jouston@i18n.linux.org.tw>

* Mon Jan 31 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update 2.1.1

* Mon Jan  3 2000 Andrew Lee <andrew@cle.linux.org.tw>
- Build first rpm
